#all h1, #all h2, #all h3, #all h4, #all h5, #all h6, #all .u-body, #all *
{
    color: #000;
    font-family: Arial, sans-serif;
    text-align: left;
}


#loadContent {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 80px;
    font-size: 0;
    height: 100vh;
}

#loadContent::after {
    content: "";
    width: 42px;
    height: 42px;
    border: 4px solid rgba(0, 48, 135, 0.15);
    border-top: 4px solid #018cff;
    border-radius: 50%;
    animation: Spin 0.8s linear infinite;
}

@keyframes Spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

#all body{
    margin:0;
    font-family:Arial;
    background: #fff;
}

#all{
    background: #fff;
    font-family: Arial, sans-serif;
}

#all .link{
    color: inherit;
    text-decoration: none;
    cursor:pointer;
}

#all a {
    color: inherit;
    text-decoration: none;
}

#all .agb-error {
    border: 1px solid red;
    padding: 6px;
    border-radius: 6px;
    background: #ffecec;
}



#all a:visited {
    color: inherit;
}


#all a:hover {
    color: inherit;
    
}

#all a:active {
    color: inherit;
}
#all .listing-text{
    height: 130px;
    text-overflow: ellipsis;
}

#all .listing-name{
    font-size: 17px;
    font-weight: bold;
    height: 40px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    line-height: 22px;
}

#all .pricelist{
    text-align: right;
    font-size: 20px;
    font-weight: bold;
}
#all .baseprice{
    text-align: right;
}

#all .cart-body .active{
    border-color:#000 !important;
    color:#fff !important;
    background:#000 !important;
}

#all .listing-cart-btn,.listing-button-btn{    float: right;
    border: solid 1px #ededed;
    padding: 11px;
    color:#464646;
    border-radius: 4px;
    font-size: 16px;
    width: 100%;
    margin-top: 20px;
    background: #f9f9f9;
    cursor:pointer;}

#all #topbar{
    height:80px;
    display:flex;
    align-items:center;
    padding:0 15px;
    gap: 20px;
    line-height: 1.0;

}


#all #plus, #all #minus{padding: 5px 10px 5px 10px;
    font-size: 20px;}

#all #qty{padding: 10px;}

#all #mainPrice{
    font-size: 32px;
    font-weight: bold;
}

/* MAIN CONTENT */
#all #content{
    background: #fff;
    flex: 1;
    padding: 0px 20px 20px 20px;
    max-width: 1205px;
    margin: 0 auto;
}

#all .property-title{font-weight: bold;
    font-size: 17px;}


#close-cat{
    color: #000;
    border: none;
    background: none;
    font-size: 28px;
    cursor: pointer;
}

#all .close-x{
    margin-left:auto;
    font-size:28px;
    cursor:pointer;
}

#all .variant-tabs {
    display:flex;
    gap:8px;
    margin:15px 0;
    flex-wrap:wrap;
}

#all .variant-tab {
    padding:8px 12px;
    border:1px solid #ddd;
    border-radius:6px;
    text-decoration:none;
    color:#000;
    font-size:14px;
    background:#fff;
}

#all .variant-tab:hover {
    background:#f5f5f5;
}

#all .variant-tab.active {
    background:#000;
    color:#fff;
    border-color:#000;
}

/* ===================== PRODUCTS GRID ===================== */
#all .grid{
    padding-top: 20px;
    display:grid;
    grid-template-columns:repeat(4, 1fr); /* FIX: stabile Desktop-Spalten */
    gap:15px;
}

/* PRODUCT CARD */
#all .card{
    background: #fff;
    border:1px solid #eee;
    padding:10px;
    border-radius: 8px;
    text-decoration:none;
    color:black;
    display:block; /* FIX: wichtig für saubere Grid-Box */
    box-sizing:border-box;
    transition:0.2s;
}

#all .checkout-grid select{    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 14px;
    box-sizing: border-box;
    outline: none;
    grid-column: 1 / 3;}

#all .card:hover{
    box-shadow:0 2px 10px rgba(0,0,0,0.08);
    transform:translateY(-2px);
}
#all #main{    width: 100%;}

#all .img{display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;}
#all .description_short_list{margin-top: 8px;
    color: #ccc;
    height: 40px;
    line-height: 21px;
    margin-bottom: 5px;
    min-width: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: normal;}
#all .shorttext_list{font-size:13px;color:#666;margin-top:5px;}
#all .price_list{margin-top:8px;font-weight:bold;}

#all .property-switch {
    margin: 20px 0;
}

#all .property-switch #all .property-title {
    display: block;
    margin-bottom: 12px;
    font-weight: 600;
    font-size: 15px;
}

#all .switch {
    position: relative;
    display: inline-block;
    width: 58px;
    height: 32px;
    top:10px;
}

#all .switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

#all .switch-slider {
    position: absolute;
    inset: 0;
    cursor: pointer;
    background: #e5e7eb;
    border-radius: 999px;
    transition: .25s ease;
}

#all .switch-slider::before {
    content: "";
    position: absolute;
    width: 26px;
    height: 26px;
    left: 3px;
    top: 3px;

    /* SCHWARZER KNOPF */
    background: #fff;

    border-radius: 50%;
    transition: .25s ease;
}

#all .switch input:checked + .switch-slider {
    background: #22c55e;
}

#all .switch input:checked + .switch-slider::before {
    transform: translateX(26px);
}



#all .product .img{height: 350px;
    background: #f9f9f9;display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;}

#all .card img{width:100%;
    object-fit:cover;}
#all .noimage{width:100%;
    height:100%;

    display:flex;
    align-items:center;
    justify-content:center;
    font-size:12px;
    color:#666;}

#all .img{width: 100%;
    padding: 0px;
    height: 210px;
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;}

#all .card img{

    max-width: 100%;
    min-height: 100%;
    width: 100%;
    object-fit: cover;
}

/* ===================== RESPONSIVE ===================== */
@media (max-width: 1200px){
    #all .grid{
        grid-template-columns:repeat(3, 1fr);
    }
}

@media (max-width: 800px){
    #all .grid{
        grid-template-columns:repeat(2, 1fr);
    }

    #all .product-layout {
        display: flow !important;
    }
}

@media (max-width: 600px){
    #all .grid{
        grid-template-columns:1fr;
    }



}

#all .cat-overlay {
    position: fixed;
    inset: 0;
    
    z-index: 9999;

    
    visibility: hidden;
    transition: opacity 0.25s ease;
}

#all .cat-overlay.active {
    opacity: 1;
    visibility: visible;
}

#all .cat-box {
    width: 320px;
    height: 100%;
    background: #fff;
    overflow: hidden;

    transform: translateX(-100%);
    transition: transform 0.3s ease;
}

#all .cat-overlay.active .cat-box {
    transform: translateX(0);
    margin-left: 0px;

}

/* ===================== MOBILE LAYOUT ===================== */
@media (max-width: 850px){

    #all #content {
        background: #fff;
        flex: 1;
        padding: 0px 10px 10px 10px;
    }

    #all .cat-box{width: 100% !important;}




}



/* =========================================================
   CAT OVERLAY POSITION FIX (wichtig für Loader)
========================================================= */

#all #catOverlay{
    position: fixed;
    inset: 0;
    width: 320px;
    
    z-index: 9999;
}

#all #catOverlay.active{
    
}

/* Container muss relativ sein, damit Loader zentriert ist */
#all #catStack{
    position: relative;
    height: 100%;
    overflow: hidden;
}

/* =========================================================
   LOADER (Shopware Style Spinner)
========================================================= */

#all .cat-loader{
    position: absolute;
    top: 50%;
    left: 50%;

    width: 44px;
    height: 44px;

    margin: -22px 0 0 -22px;

    border: 3px solid #e6e6e6;
    border-top: 3px solid #111;

    border-radius: 50%;

    animation: catSpin 0.8s linear infinite;

    display: none;

    z-index: 50;
}

/* Spinner Animation */
@keyframes catSpin{
    to{
        transform: rotate(360deg);
    }
}

#all .category-separator{
    border: solid 1px #ededed;
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;

    min-height:120px;
    border-radius:12px;

    display:flex;
    align-items:center;

    padding:20px;

    margin: 20px 0px 0px 0px;

    position:relative;
    overflow:hidden;
}

#all .category-separator-overlay{
    position:absolute;
    inset:0;
    background: rgb(255 255 255 / 78%);
}

#all .category-separator-boxtext{
    position:relative;
    z-index:1;
    color:#000;
    
    margin:0;
    font-size:32px;
}

#all .category-separator-text{
    position:relative;
    z-index:1;
    color:#000;
    padding-top:20px;
    margin:0;
    font-size:32px;
}

#all .cat-level{
    
    opacity: 1;
    transform: translateX(0);
}

#all .cat-level.out{
    opacity: 0;
    transform: translateX(-10px);
}

/* =========================================================
   SCROLL FIX (optional)
========================================================= */

#all .cat-box{
    width: 320px;
    height: 100%;
    background: #fff;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    transition: 0.7s;
}

#all .cat-head{
    height: 50px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 10px;
    border-bottom: 1px solid #eee;
}

/* Stack scrollt sauber */
#all #catStack{
    flex: 1;
    overflow-y: auto;
}

#all #topbar{max-width: 1205px;
    margin: 0 auto;padding: 0 20px;}

#all main{max-width: 1250px;
    margin: 0 auto;}

#all .itemlist{padding: 0px 0px 14px 0px;
    font-size: 14px;}

#all .cat-btn {
    background: #fff;
    border: 1px solid #ddd;
    color: #000;
    padding: 0px 6px 6px 6px;
    font-size: 38px;
    cursor: pointer;
    border-radius: 4px;
    line-height: 40px;
}
#all .manuimg{width: 100px;
    max-height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0px 0px 20px 0px}

#all #logo{ font-weight:bold; font-size: 28px;}



#all .cat-box{
    margin-left: -320px;
    width:320px;
    height:100%;
    background:#fff;
    overflow:hidden;
}

#all .cat-head{
    height:50px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:0 10px;
    border-bottom:1px solid #eee;
}

#all #catStack{
    height:calc(100% - 50px);
}


#all .cat-item{
    padding:12px;
    border-bottom:1px solid #eee;
    display:flex;
    justify-content:space-between;
    cursor:pointer;
}



#all .back-btn{
    padding:12px;
    font-weight:bold;
    border-bottom:1px solid #ddd;
    cursor:pointer;
    background:#fafafa;
}

html, body {
    
    margin: 0;
}

body {


   
}

/* =========================
   LAYOUT MUSS WACHSEN
========================= */


/* =========================
   FOOTER
========================= */
#all .site-footer {
    margin-top: auto;

    padding: 25px 15px;
    border-top: 1px solid #eee;
    
    font-size: 14px;
    color: #777;
}
#all .footer-center{padding-top:30px;text-align: center;color: #aaa;}

#all .footer-inner {
    max-width: 1200px;
    margin: 0 auto;
}

#all .footer-links {
    display: flex;
    flex-wrap: wrap;
    gap: 12px;
    margin-bottom: 10px;
}
#all .checkout-grid textarea{

    padding:12px;
    border:1px solid #ddd;
    border-radius:8px;
    font-size:14px;
    box-sizing:border-box;
    outline:none;
    resize:vertical;
    min-height:140px;
}

#all #requestBtn{margin-top: 15px;
    width: 100%;
    padding: 15px;
    background: black;
    color: white;
    border: none;
    font-size: 18px;
    cursor: pointer;
    border-radius: 8px;}

#all .footer-links a {
    color: #777;
    text-decoration: none;
}

#all .footer-links a:hover {
    text-decoration: underline;
}

#all .footer-bottom {
    font-size: 12px;
    color: #aaa;
    margin-top: 10px;
}

#all .img-contain{object-fit: contain !important;max-width: 100% !important;
    max-height: 100% !important;
    }

#all .img-cover{max-width: 100%;
    min-height: 100%;
    width: 100%;
    object-fit: cover;
}

#all .input-error{
    border:2px solid #dc3545 !important;
    background:#fff5f5 !important;
}

#all #agb_wrapper.input-error{
    border:2px solid #dc3545;
    background:#fff5f5;
    border-radius:8px;
    padding:10px;
}

#all #floating-cart{
    width: 100%;
}
#all .nopointer{
    pointer-events: none;
}

#all #open-cart svg,
#all #open-cart svg * {
    pointer-events: none;
}

#all button span{
    font-size: 20px;
    color: #fff;
}

#all .cart-icon{
    float: right;
    padding: 15px;
    height: 0px;
    background: #fff;
    color: #000;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 24px;
    cursor: pointer;
   
}

#all .cart-icon span {
    position: relative;
    pointer-events: none;
    top: -45px;
    z-index: 1;
    right: -20px;
    background: #e53935;
    color: #fff;
    width: 22px;
    height: 22px;
    border-radius: 50%;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
}

#all #cart-overlay{
    position:fixed;
    inset:0;
    background:rgba(0,0,0,.5);
    opacity:0;
    visibility:hidden;
    transition:.3s;
    z-index:9998;
}

#all #cart-overlay.open{
    opacity:1;
    visibility:visible;
}

#all .cart-content{
    position:fixed;
    top:0;
    right:-500px;

    width:450px;
    height:100vh;

    background:#fff;

    transition:.3s ease;

    overflow:auto;

    box-shadow:
            -5px 0 20px rgba(0,0,0,.2);

    z-index:99999;
}

#all .cart-content.open{
    right:0;
}


#all .cart-header{
    display:flex;
    justify-content:space-between;
    align-items:center;

    padding:20px;

    border-bottom:1px solid #eee;
}

#all .cart-header h3{
    margin:0;
    font-size: 26px;
    font-weight: bold;
}

#all #close-cart{
    color: #000;
    border:none;
    background:none;
    font-size:28px;
    cursor:pointer;
}

#all .cart-body{
    padding: 0 20px 20px;
}

#all .cart-pulse{
    animation:pulse .4s;
}

#all .property-hidden{
    display:none;
}

#all .show-more-properties{

    width:100%;
    padding:10px;

    text-align:center;

    border:1px dashed #ccc;
    border-radius:8px;

    cursor:pointer;

    font-size:14px;
    color:#666;

    background:#fafafa;

    margin-top:5px;

    transition:.2s;
}

#all .show-more-properties:hover{

    background:#f0f0f0;
    color:#000;
}

#all .gallery-main {
    width: 100%;
    max-width: 100%;
    height: 400px;
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    background: #fff;
    display:flex;
    align-items:center;
    justify-content:center;
}



#all .gallery-thumbs {
    display: flex;
    gap: 10px;
    margin-top: 15px;
    flex-wrap: wrap;
}

#all .gallery-thumb {
    width: 80px;
    height: 80px;
    border: 2px solid transparent;
    border-radius: 6px;
    overflow: hidden;
    cursor: pointer;
    transition: 0.2s;
    background:#fff;
    border: solid 1px #ccc;
}

#all .gallery-thumb.active {
    border-color: #000;
}

#all .gallery-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#all .buy-row{
    display:flex;
    gap:15px;
    align-items:center;
}

#all .qty-box{
    flex:0 0 auto;
}

#all #cartBtn{
    flex:1;
}

#all .buy-box{

    display:flex;
    align-items:center;
    gap:15px;

    margin:20px 0;
}

#all .qty-box{

    display:flex;
    align-items:center;

    border:1px solid #ddd;

    border-radius:8px;

    overflow:hidden;

    background:#fff;

    box-shadow:
            0 2px 8px rgba(0,0,0,.05);
}

#all #minus,
#all #plus{

    width:50px;
    height:50px;

    border:none;

    background:#f7f7f7;

    cursor:pointer;

    font-size:24px;
    font-weight:bold;

    transition:.2s;
}

#all #minus:hover,
#all #plus:hover{

    background:#ececec;
}

#all #qty{

    min-width:60px;

    text-align:center;

    font-size:18px;
    font-weight:bold;
}

#all #cartBtn{

    flex:1;

    height:54px;

    border:none;

    border-radius:10px;

    background:linear-gradient(239deg, #5e5e5e 0%, #252525 100%);

    color:#fff;

    font-size:16px;
    font-weight:600;

    cursor:pointer;

    display:flex;
    align-items:center;
    justify-content:center;
    gap:10px;

    transition:.2s;


}

#all #cartBtn:hover{



}

#all #cartBtn:active{

    transform:translateY(0);
}

#all .checkout-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:10px;
}

#all .product-layout{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:20px;
    padding-top: 20px;
}

#all .quickview-window .product-layout{
    grid-template-columns: 0fr 1fr;
    gap: 20px;
    padding-top: 20px;
}


#all .product-image{
    height:300px;
    background:#eeeeee;
}

#all .price-box{
    border:1px solid #eee;
    border-radius:12px;
    padding:15px;
    background:#fafafa;
    font-size:14px;
    margin-bottom:15px;
}

#all .price-box .row{
    display:flex;
    justify-content:space-between;
    margin-bottom:6px;
}

#all .price-box .total{
    font-size:18px;
    font-weight:bold;
}

#all .checkout-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:10px;
}

#all .checkout-grid input{

    width: 100%;
    box-sizing: border-box;
    padding: 12px;
    border: 1px solid #ddd;
    border-radius: 8px;
    font-size: 14px;
    outline: none;
}

#all #diff_shipping{width: 20px;}

#all .full{
    grid-column:1 / 3;
}

#all #payBtn{
    margin-top:15px;
    width:100%;
    padding:15px;
    background:black;
    color:white;
    border:none;
    font-size:18px;
    cursor:pointer;
    border-radius:8px;
}

#all #error{
    color:red;
    margin-top:10px;
    font-size:13px;
}

/* ================= MOBILE ================= */
@media (max-width:850px){

    #all .product-layout{
        grid-template-columns:1fr;
    }

    #all .product-image{
        width:100%;
        height:250px;
    }

    #all .checkout-grid{
        grid-template-columns:1fr;
    }

    #all .full{
        grid-column:1/3;
    }
}

#all .property-tabs{
    display:flex;
    flex-wrap:wrap;
    gap:10px;
    margin-bottom:15px;
}

#all .property-tab{
    padding:10px 14px;
    border:1px solid #ddd;
    border-radius:8px;
    cursor:pointer;
    background:#fff;
    transition:0.2s;
    user-select:none;
}

#all .property-tab:hover{
    border-color:#000;
}

#all .property-tab.active{
    background:#000;
    color:#fff;
    border-color:#000;
}

#all .property-values{
    display: flex;
    flex-wrap: wrap;
    gap: 9px 2%;
    margin-top: 8px;
}

#all .property-option{
    padding:8px 12px;
    border:1px solid #ddd;
    border-radius:8px;
    cursor:pointer;
    user-select:none;
    width: 49%;
    box-sizing: border-box;
    background:#fff;
}

#all .property-option:hover{
    border-color:#000;
}

#all .property-option.active{
    background:#000;
    color:#fff;
    border-color:#000;
}

#all .property-option .price{
    font-size:12px;
    opacity:0.8;
    margin-left:5px;
}
#all .input-error {
    border: 2px solid red !important;
    background: #fff5f5;
}

#all .description_long{
    line-height: 30px;
    color: #494848;
    font-size: 17px;
    background: #fff;
    flex: 1;
    padding: 0px 20px 20px 20px;
    max-width: 1205px;
    margin: 0 auto;
}

#all #quickview-modal{
    position:fixed;
    inset:0;
    z-index:99999;

    display:none;
}

#all #quickview-modal.open{
    display:block;
}

#all .quickview-overlay{
    position:absolute;
    inset:0;
    background:rgba(0,0,0,.5);
}

#all .large .quickview-window {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: min(1200px, 95vw);
    max-height: min(95vh);
    overflow: auto;
    background: #fff;
    border-radius: 20px;
    padding: 0px;
}

#all .small .quickview-window {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    width: min(600px, 95vw);
    max-height: min(95vh);
    overflow: auto;
    background: #fff;
    border-radius: 20px;
    padding: 0px;
}

#all .small .quickview-window .product-layout {
    grid-template-columns: 0fr 1fr;
    gap: 0px;
}

#all .large .quickview-window .product-layout {
    grid-template-columns: 1fr 1fr;
}

#all .breadcrumb{
    display:flex;
    align-items:center;
    gap:5px;
}

#all .breadcrumb p{
    margin:0;
}

#all #quickview-close {
    position: absolute;
    right: 15px;
    top: 15px;
    width: 40px;
    height: 40px;
    border-radius: 100%;
    font-size: 29px;
    border: solid 1px #ccc;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding-left: 8px;
}

#all .large .quickview-window h1, #all .small .quickview-window h1  {
    padding-right: 40px;
}

@keyframes pulse{

    0%{
        transform:scale(1);
    }

    50%{
        transform:scale(1.4);
    }

    100%{
        transform:scale(1);
    }
}